petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAXPBY

Computes y = alpha x + beta y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBY(Vec y,PetscScalar alpha,PetscScalar beta,Vec x)

Logically Collective on Vec Many br

### Input Parameters

| alpha,beta | - the scalars Many br
| x, y | - the vectors Many br

### Output Parameter

y -output vector Many br

Many br

Notes: x and y MUST be different vectors Many br

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages